summaryrefslogtreecommitdiff
path: root/net-voip
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-05-06 19:40:37 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-05-06 19:40:37 +0000
commit6c2c44c149dc52d1f72e760c171f73fa33c4ee45 (patch)
tree3773e2585fde44992b91653203cbd021b1d82e2e /net-voip
parent5a1e2f874db05baac26359a99597859d0f575014 (diff)
downloadbaldeagleos-repo-6c2c44c149dc52d1f72e760c171f73fa33c4ee45.tar.gz
baldeagleos-repo-6c2c44c149dc52d1f72e760c171f73fa33c4ee45.tar.xz
baldeagleos-repo-6c2c44c149dc52d1f72e760c171f73fa33c4ee45.zip
Adding metadata
Diffstat (limited to 'net-voip')
-rw-r--r--net-voip/sipvicious/Manifest1
-rw-r--r--net-voip/sipvicious/sipvicious-0.3.7.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/net-voip/sipvicious/Manifest b/net-voip/sipvicious/Manifest
index cfd15ad9e461..99eb1cd53611 100644
--- a/net-voip/sipvicious/Manifest
+++ b/net-voip/sipvicious/Manifest
@@ -1 +1,2 @@
DIST sipvicious-0.3.4.tar.gz 48296 BLAKE2B 75f3d190cb4224ada84cd7c714eb545e44a9759589890a559d3cb5243c5430c0aa81138e3cd294926901e961a5ec156c8d991b648c70e1d8fc2dc906473d507d SHA512 5e8d60ee1e70cd7f6dd9e862560def34b33171a20a4af87275ef1434ae62f19bf120b4000079bc273ecf1aaf05c87cdd6b299c64a44738e3f658b3ede5ca17c3
+DIST sipvicious-0.3.7.tar.gz 54781 BLAKE2B 1c309a2aa996c5e34d2be85d459e4f47280467bc7178518767832bea9c55c85d9b22fff78f815cd7677eeaa882bf70955139e334ddf7a604bc62a37b6bfaaac6 SHA512 478f183641e11b7e7e4a8294bceb44333aa27968781ed7a7240664f0b5b174c869c5b566f1302f45b7469ce499e4ce8e07addd88667e5ae72fa2af564c9b8ce3
diff --git a/net-voip/sipvicious/sipvicious-0.3.7.ebuild b/net-voip/sipvicious/sipvicious-0.3.7.ebuild
new file mode 100644
index 000000000000..75a52345c736
--- /dev/null
+++ b/net-voip/sipvicious/sipvicious-0.3.7.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2020-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..14} )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="SIPVicious is a SIP security package"
+HOMEPAGE="https://github.com/EnableSecurity/sipvicious/wiki"
+SRC_URI="https://github.com/EnableSecurity/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/dnspython[${PYTHON_USEDEP}]
+ dev-python/reportlab[${PYTHON_USEDEP}]
+ ')
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+ sed -re 's:man/man1:share/man/man1:' -i setup.py || die "Error updating man page installation location."
+}